set linesize 1000
set pagesize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on

spool &ns.histograms2.log

drop table EXAMPLE.test;

create table EXAMPLE.test (one number,two number);

insert into EXAMPLE.test select 1,rownum from dba_tables;

insert into EXAMPLE.test select 2,1 from dba_tables;

commit;

execute dbms_stats.gather_table_stats('EXAMPLE','TEST',method_opt=>'FOR ALL COLUMNS SIZE 254',estimate_percent=>NULL);

column table_name format a30
column column_name format a30
column endpoint_actual_value format a30

select h.table_name,column_name,endpoint_number,endpoint_value,endpoint_actual_value
from DBA_TAB_HISTOGRAMS h  
where h.owner= 'EXAMPLE' and 
h.table_name = 'TEST'
order by h.owner,h.table_name,column_name,endpoint_number;

spool off
