set linesize 1000
set pagesize 1000
set long 2000000000
set longchunksize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on
set trimspool on

spool &ns.density.log

set define off

drop table EXAMPLE.test;

create table EXAMPLE.test (one number);

insert into EXAMPLE.test values (1);
insert into EXAMPLE.test values (2);
insert into EXAMPLE.test values (3);
insert into EXAMPLE.test values (4);
insert into EXAMPLE.test values (5);
insert into EXAMPLE.test values (6);
insert into EXAMPLE.test values (7);
insert into EXAMPLE.test values (8);
insert into EXAMPLE.test values (9);
insert into EXAMPLE.test values (0);

commit;

execute dbms_stats.gather_table_stats('EXAMPLE','TEST');

select num_rows from user_tables where table_name='TEST';

select NUM_DISTINCT,NUM_BUCKETS,DENSITY 
from user_tab_columns 
where table_name='TEST';

spool off
