set linesize 1000
set pagesize 1000
set head off;
set verify off;
set termout off;
 
column u new_value us noprint;
column n new_value ns noprint;
 
select name n from v$database;
select user u from dual;
set sqlprompt &ns:&us>

set head on
set echo on
set termout on

spool &ns.histograms4.log

drop table EXAMPLE.test;

create table EXAMPLE.test (one number,two number);

insert into EXAMPLE.test select mod(rownum,10),rownum from dba_tables;

commit;

execute dbms_stats.gather_table_stats('EXAMPLE','TEST',method_opt=>'FOR ALL COLUMNS SIZE 254',estimate_percent=>NULL );

select num_buckets
from DBA_TAB_columns   
where owner= 'EXAMPLE' and 
table_name = 'TEST'
order by owner,table_name,column_name;

spool off
